For the complete documentation index, see llms.txt. This page is also available as Markdown.

WireBfc

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getWireBfc

post

Retrieve WireBfc parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getWireBfc
POST /nexum/627/2022.01/parameter/getWireBfc HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 135

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "WireBfc": {
    "SvcAvailability": [
      {
        "EntryId": 1,
        "SvcAvailability": 0
      },
      {
        "EntryId": 2,
        "SvcAvailability": 0
      }
    ]
  },
  "MessageId": "getWireBfc"
}

getWireBfcSelectFields

post

Retrieve WireBfc parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getWireBfcSelectFields
POST /nexum/627/2022.01/parameter/getWireBfcSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 199

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "WireBfcFields": {
      "SvcAvailability": [
        1
      ]
    }
  }
}
200

Successful operation.

{
  "WireBfc": {
    "SvcAvailability": [
      {
        "EntryId": 1,
        "SvcAvailability": 0
      }
    ]
  },
  "MessageId": "getWireBfcSelectFields"
}

updateWireBfcByID

post

Update WireBfc parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/updateWireBfcByID
POST /nexum/627/2022.01/parameter/updateWireBfcByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 201

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireBfcUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateWireBfcByID"
}

Last updated

Was this helpful?